package cn.axzo.workflow.common.enums;

/**
 * 审批人为空时的处理方式枚举
 *
 * @author wangli
 * @since 2023/11/16 10:22
 */
public enum ApproverEmptyHandleTypeEnum {
    autoPassed("autoPassed", "自动通过"),
    autoRejection("autoRejection", "自动驳回"),
    autoSkipped("autoSkipped", "自动跳过"),
    transferToAdmin("transferToAdmin", "转交给管理员"),
    specifyAssignee("specifyAssignee", "指定审批人"),
    ;
    private String type;
    private String desc;

    ApproverEmptyHandleTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
